Draft WireToBSpline/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.")
Line 29: Line 29:
# Appuyez sur le bouton {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline/fr|Filaire vers BSpline Draft]]}}.
# Appuyez sur le bouton {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline/fr|Filaire vers BSpline Draft]]}}.


Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.
A new object will be created; the original object will not be modified.


{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.
{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.

Revision as of 09:13, 6 October 2019

Filaire vers BSpline Draft

Emplacement du menu
Draft → Filaire vers BSpline
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Filaire Draft, BSpline Draft

Description

Cet outil convertit les objets Filaire Draft en BSpline Draft et inversement.

Conversion d'un fil en B-Spline et un B-Spline fermé en un fil fermé

Utilisation

  1. Sélectionnez un Filaire Draft ou un BSpline Draft. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Filaire vers BSpline Draft.

Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DonnéesMake Face to false to see the new shape, or set DonnéesClosed to false to create an open shape.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Si l'objet actif est un Wire:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)